trafodion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sand...@apache.org
Subject [1/2] incubator-trafodion git commit: Additional check in regr test env script to test for existence of ship_mode hdfs directory to decide whther to shortcut the hive setup process
Date Wed, 10 May 2017 04:00:37 GMT
Repository: incubator-trafodion
Updated Branches:
  refs/heads/master bf3e8d083 -> ef4a29405


Additional check in regr test env script to test for existence of ship_mode hdfs directory
to decide whther to shortcut the hive setup process


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/c9c00603
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/c9c00603
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/c9c00603

Branch: refs/heads/master
Commit: c9c0060339a8574313497993df04569c85b64fef
Parents: a14a3ee
Author: Sandhya Sundaresan <sandhyasun@edev08.esgyn.local>
Authored: Tue May 9 19:16:46 2017 +0000
Committer: Sandhya Sundaresan <sandhyasun@edev08.esgyn.local>
Committed: Tue May 9 19:16:46 2017 +0000

----------------------------------------------------------------------
 core/sqf/sql/scripts/install_hadoop_regr_test_env | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/c9c00603/core/sqf/sql/scripts/install_hadoop_regr_test_env
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/install_hadoop_regr_test_env b/core/sqf/sql/scripts/install_hadoop_regr_test_env
index 2375560..9710ae0 100755
--- a/core/sqf/sql/scripts/install_hadoop_regr_test_env
+++ b/core/sqf/sql/scripts/install_hadoop_regr_test_env
@@ -125,7 +125,12 @@ then
   $MY_HIVE_CMD -e 'describe ship_mode;' >/dev/null 2>&1
   if (( $? == 0 ))
   then
-    echo "Hive table ship_mode found. Skipping TPC-DS set-up."
+      #check if the files exist in hdfs 
+      $MY_HDFS_CMD dfs  -ls /user/trafodion/hive/tpcds/ship_mode >/dev/null 2>&1
+      if (( $? == 0 ))
+	  then
+	  echo "Hive table ship_mode found. Skipping TPC-DS set-up."
+      fi
     exit 0
   fi
 fi


Mime
View raw message